# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Nov 22 15:46:44 2024
# ------------------------------------------------

package:
  name: bleach
  version: 6.2.0
source:
  sha256: 123e894118b8a599fd80d3ec1a6d4cc7ce4e5882b1317a7e1ba69b56e95f991f
  url: https://pypi.io/packages/source/b/bleach/bleach-6.2.0.tar.gz
build:
  number: '0'
  script: /croot/bleach_1732290411627/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir
    -vv
  string: py312h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2024.9.24 h06a4308_0
    - expat 2.6.3 h6a678d5_0
    - ld_impl_linux-64 2.40 h12ee557_0
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.15 h5eee18b_0
    - pip 24.2 py312h06a4308_0
    - python 3.12.7 h5148396_0
    - readline 8.2 h5eee18b_0
    - setuptools 75.1.0 py312h06a4308_0
    - sqlite 3.45.3 h5eee18b_0
    - tk 8.6.14 h39e8969_0
    - tzdata 2024b h04d1e81_0
    - wheel 0.44.0 py312h06a4308_0
    - xz 5.4.6 h5eee18b_1
    - zlib 1.2.13 h5eee18b_1
  run:
    - python >=3.12,<3.13.0a0
    - webencodings
  run_constrained:
    - tinycss2 >=1.1.0,<1.5
test:
  commands:
    - pip check
    - pytest tests -v
  imports:
    - bleach
  requires:
    - pip
    - pytest
  source_files:
    - tests
about:
  description: 'Bleach is an allowed-list-based HTML sanitizing library that escapes
    or

    strips markup and attributes.

    '
  dev_url: https://github.com/mozilla/bleach
  doc_url: https://bleach.readthedocs.io/
  home: https://github.com/mozilla/bleach
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Easy, whitelist-based HTML-sanitizing tool
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 2920d33d-bbb8-44b6-a92c-4a830fc6f55f
  recipe-maintainers:
    - minrk
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/bleach-feedstock.git
  sha: 76e23d6934e03a9e34a296c66f501fa011db84b7
